Compatibility Information for Analytics.On.Premise 2.3.0

Compatibility Information
Analytics Backend
Database
  • IBM DB2 10.5 Fixpack 8 
  • IBM DB2 11.1 
  • Microsoft SQL Server 2012 (Manufacturer End Of Life since 2017-07-11)
  • Microsoft SQL Server 2014 (Manufacturer End Of Life since 2019-07-09)
  • Microsoft SQL Server 2016 
  • Microsoft SQL Server 2017 
  • Oracle Oracle 11g (Manufacturer End Of Life since 2015-01-15)
  • Oracle Oracle 12c 
Java
  • Oracle Java 1.8 
Application
  • Apache Flink 1.4.2 
  • Apache Kafka 0.10.2.2 
 Installation Hint
Kafka is required for Event Engine.
Use version provided in external resources folder.
We strongly recommend to run Kafka on Linux.
Analytics Datastore
Database
  • open source PostgreSQL 10 
  • open source PostgreSQL 9 (Manufacturer End Of Life since 2019-12-15)
Analytics UI Plugin
Rules UI Plugin


Dependencies for Analytics.On.Premise 2.3.0

Sub-Component Analytics.On.Premise 2.3.0 depends on Components depending on Analytics.On.Premise 2.3.0
Analytics Backend
  • Automation.Engine » AutomationEngine (minimum version Automation.Engine 12.2)
  • Automic.Web.Interface » UI (minimum version Automic.Web.Interface 12.2)
  • Collector.Log.File » Collector (since version Collector.Log.File 1.0)
  • Collector.SQL » Collector (since version Collector.SQL 1.0)
  • Package.Analytics » PCK.AUTOMIC_ANALYTICS (since version Package.Analytics 2.0)
  • Package.Rule.StateChange » PCK.AUTOMIC_RULE_STATECHANGE, Package.Rule.Simple » PCK.AUTOMIC_RULE_SIMPLE (since version Package.Rule.Simple 1.0,
    desupported with version Package.Rule.Simple 1.1)
  • Package.Rule.StateChange » PCK.AUTOMIC_RULE_STATECHANGE, Package.Rule.Simple » PCK.AUTOMIC_RULE_SIMPLE (since version Package.Rule.Simple 1.1,
    desupported with version Package.Rule.Simple 1.2)
  • Package.Rule.StateChange » PCK.AUTOMIC_RULE_STATECHANGE, Package.Rule.Simple » PCK.AUTOMIC_RULE_SIMPLE (since version Package.Rule.Simple 1.3)
Analytics Datastore
      Analytics UI Plugin
      • Automic.Web.Interface » UI (minimum version Automic.Web.Interface 12.2)
        Rules UI Plugin
        • Automic.Web.Interface » UI (minimum version Automic.Web.Interface 12.2)
          Version Hint: All version information relates to the latest patch available for the major/minor version listed above.

          Broadcom | Automic Community

          Automic envisioned a place where our users, from anywhere in the world, could find information, ask questions, share ideas, seek advice and collaborate on projects.